For the complete documentation index, see llms.txt. This page is also available as Markdown.

Menu Board

Menu Boards - feature preview, please do not use in production.

Search Menu Boards

get

Search all Menu Boards this user has access to

Query parameters
menuIdintegerOptional

Filter by Menu board Id

userIdintegerOptional

Filter by Owner Id

folderIdintegerOptional

Filter by Folder Id

namestringOptional

Filter by name

codestringOptional

Filter by code

modifiedDateFromstringOptional

Filter by modified date (from)

modifiedDateTostringOptional

Filter by modified date (to)

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/menuboards
GET /api/menuboards HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "menuId": null,
    "name": null,
    "description": null,
    "code": null,
    "userId": null,
    "modifiedDt": null,
    "folderId": null,
    "permissionsFolderId": null,
    "groupsWithPermissions": null
  }
]

Search Menu Board by ID

get

Get the Menu Board object specified by the provided menuId

Path parameters
menuIdintegerRequired

Numeric ID of the Menu Board to get

Responses
200

successful operation

application/json

Class MenuBoard

menuIdanyOptional

The Menu Board Id

nameanyOptional

The Menu Board name

descriptionanyOptional

The Menu Board description

codeanyOptional

The Menu Board code identifier

userIdanyOptional

The Menu Board owner Id

modifiedDtanyOptional

The Menu Board last modified date

folderIdanyOptional

The Id of the Folder this Menu Board belongs to

permissionsFolderIdanyOptional

The id of the Folder responsible for providing permissions for this Menu Board

groupsWithPermissionsanyOptional

A comma separated list of Groups/Users that have permission to this menu Board

get/menuboard/{menuId}
GET /api/menuboard/{menuId} HTTP/1.1
Accept: */*
200

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Edit Menu Board

put

Edit existing Menu Board

Path parameters
menuIdintegerRequired

The Menu Board ID to Edit

Body
namestringRequired

Menu Board name

descriptionstringOptional

Menu Board description

codestringOptional

Menu Board code identifier

folderIdintegerOptional

Menu Board Folder Id

Responses
200

successful operation

No content

put/menuboard/{menuId}
PUT /api/menuboard/{menuId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 63

"name='text'&description='text'&code='text'&folderId=1"
200

successful operation

No content

Delete Menu Board

delete

Delete existing Menu Board

Path parameters
menuIdintegerRequired

The Menu Board ID to Delete

Responses
204

successful operation

No content

delete/menuboard/{menuId}
DELETE /api/menuboard/{menuId} HTTP/1.1
Accept: */*
204

successful operation

No content

Copy Menu Board

post

Copy a Menu Board and all of its Categories and Products

Path parameters
menuIdintegerRequired

The Menu Board ID to copy

Body
namestringRequired

Menu Board name

descriptionstringOptional

Menu Board description

codestringOptional

Menu Board code identifier

Responses
201

successful operation

application/json
post/menuboard/copy/{menuId}
POST /api/menuboard/copy/{menuId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 50

"name='text'&description='text'&code='text'"
201

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Add Menu Board

post

Add a new Menu Board

Body
namestringRequired

Menu Board name

descriptionstringOptional

Menu Board description

codestringOptional

Menu Board code identifier

folderIdintegerOptional

Menu Board Folder Id

Responses
201

successful operation

application/json
post/menuboard
POST /api/menuboard HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 63

"name='text'&description='text'&code='text'&folderId=1"
201

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Menu Board Select folder

put

Select Folder for Menu Board

Path parameters
menuIdintegerRequired

The Menu Board ID

Body
folderIdintegerRequired

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class MenuBoard

menuIdanyOptional

The Menu Board Id

nameanyOptional

The Menu Board name

descriptionanyOptional

The Menu Board description

codeanyOptional

The Menu Board code identifier

userIdanyOptional

The Menu Board owner Id

modifiedDtanyOptional

The Menu Board last modified date

folderIdanyOptional

The Id of the Folder this Menu Board belongs to

permissionsFolderIdanyOptional

The id of the Folder responsible for providing permissions for this Menu Board

groupsWithPermissionsanyOptional

A comma separated list of Groups/Users that have permission to this menu Board

put/menuboard/{id}/selectfolder
PUT /api/menuboard/{id}/selectfolder HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"folderId=1"
200

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Search Menu Board Categories

get

Search all Menu Boards Categories this user has access to

Path parameters
menuIdintegerRequired

Filter by Menu board Id

Query parameters
menuCategoryIdintegerOptional

Filter by Menu Board Category Id

namestringOptional

Filter by name

codestringOptional

Filter by code

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/menuboard/{menuId}/categories
GET /api/menuboard/{menuId}/categories HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "menuId": null,
    "name": null,
    "description": null,
    "code": null,
    "userId": null,
    "modifiedDt": null,
    "folderId": null,
    "permissionsFolderId": null,
    "groupsWithPermissions": null
  }
]

Search Menu Board Category by ID

get

Get the Menu Board Category object specified by the provided menuCategoryId

Path parameters
menuCategoryIdintegerRequired

Numeric ID of the Menu Board Category to get

Responses
200

successful operation

application/json

Class MenuBoardCategory

menuCategoryIdanyOptional

The Menu Board Category Id

menuIdanyOptional

The Menu Board Id

nameanyOptional

The Menu Board Category name

descriptionanyOptional

The Menu Board Category description

codeanyOptional

The Menu Board Category code identifier

mediaIdanyOptional

The Menu Board Category associated mediaId

get/menuboard/category/{menuCategoryId}
GET /api/menuboard/category/{menuCategoryId} HTTP/1.1
Accept: */*
200

successful operation

{
  "menuCategoryId": null,
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "mediaId": null
}

Copy Menu Board Category

post

Copy a Menu Board Category and all of its Products

Path parameters
menuCategoryIdintegerRequired

The Menu Board Category ID to copy

Body
namestringRequired

Menu Board Category name

descriptionstringOptional

Menu Board Category description

codestringOptional

Menu Board Category code identifier

Responses
201

successful operation

application/json
post/menuboard/category/copy/{menuCategoryId}
POST /api/menuboard/category/copy/{menuCategoryId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 50

"name='text'&description='text'&code='text'"
201

successful operation

{
  "menuCategoryId": null,
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "mediaId": null
}

Add Menu Board Category

post

Add a new Menu Board Category

Path parameters
menuIdintegerRequired

The Menu Board ID to which we want to add this Category to

Body
namestringRequired

Menu Board Category name

mediaIdintegerOptional

Media ID associated with this Menu Board Category

codestringOptional

Menu Board Category code identifier

descriptionstringOptional

Menu Board Category description

Responses
201

successful operation

application/json
post/menuboard/{menuId}/category
POST /api/menuboard/{menuId}/category HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 62

"name='text'&mediaId=1&code='text'&description='text'"
201

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Edit Menu Board Category

put

Edit existing Menu Board Category

Path parameters
menuCategoryIdintegerRequired

The Menu Board Category ID to Edit

Body
namestringRequired

Menu Board name

mediaIdintegerOptional

Media ID from CMS Library to associate with this Menu Board Category

codestringOptional

Menu Board Category code identifier

descriptionstringOptional

Menu Board Category description

Responses
204

successful operation

No content

put/menuboard/{menuCategoryId}/category
PUT /api/menuboard/{menuCategoryId}/category HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 62

"name='text'&mediaId=1&code='text'&description='text'"
204

successful operation

No content

Delete Menu Board Category

delete

Delete existing Menu Board Category

Path parameters
menuCategoryIdintegerRequired

The Menu Board Category ID to Delete

Responses
204

successful operation

No content

delete/menuboard/{menuCategoryId}/category
DELETE /api/menuboard/{menuCategoryId}/category HTTP/1.1
Accept: */*
204

successful operation

No content

Search Menu Board Products

get

Search all Menu Boards Products this user has access to

Path parameters
menuCategoryIdintegerRequired

Filter by Menu Board Category Id

Query parameters
menuIdintegerOptional

Filter by Menu board Id

namestringOptional

Filter by name

codestringOptional

Filter by code

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/menuboard/{menuCategoryId}/products
GET /api/menuboard/{menuCategoryId}/products HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "menuId": null,
    "name": null,
    "description": null,
    "code": null,
    "userId": null,
    "modifiedDt": null,
    "folderId": null,
    "permissionsFolderId": null,
    "groupsWithPermissions": null
  }
]

Search Menu Board Product by ID

get

Get the Menu Board Product object specified by the provided menuProductId

Path parameters
menuProductIdintegerRequired

Numeric ID of the Menu Board Product to get

Responses
200

successful operation

application/json

Class MenuBoardProduct

menuProductIdanyOptional

The Menu Board Product Id

menuCategoryIdanyOptional

The Menu Board Category Id

menuIdanyOptional

The Menu Board Id

nameanyOptional

The Menu Board Category name

priceanyOptional

The Menu Board Product price

descriptionanyOptional

The Menu Board Product description

codeanyOptional

The Menu Board Product code identifier

displayOrderanyOptional

The Menu Board Product display order, used for sorting

availabilityanyOptional

The Menu Board Product availability

allergyInfoanyOptional

The Menu Board Product allergy information

caloriesanyOptional

The Menu Board Product allergy information

mediaIdanyOptional

The Menu Board Product associated mediaId

productOptionsstring[]Optional

The Menu Board Product array of options

get/menuboard/product/{menuProductId}
GET /api/menuboard/product/{menuProductId} HTTP/1.1
Accept: */*
200

successful operation

{
  "menuProductId": null,
  "menuCategoryId": null,
  "menuId": null,
  "name": null,
  "price": null,
  "description": null,
  "code": null,
  "displayOrder": null,
  "availability": null,
  "allergyInfo": null,
  "calories": null,
  "mediaId": null,
  "productOptions": [
    "text"
  ]
}

Add Menu Board Product

post

Add a new Menu Board Product

Path parameters
menuCategoryIdintegerRequired

The Menu Board Category ID to which we want to add this Product to

Body
namestringRequired

Menu Board Product name

descriptionstringOptional

Menu Board Product description

pricenumberOptional

Menu Board Product price

allergyInfostringOptional

Menu Board Product allergyInfo

caloriesintegerOptional

Menu Board Product calories

displayOrderintegerRequired

Menu Board Product Display Order, used for sorting

availabilityintegerOptional

Menu Board Product availability

mediaIdintegerOptional

Media ID from CMS Library to associate with this Menu Board Product

codestringOptional

Menu Board Product code

productOptionsstring[]Optional

An array of optional Product Option names

productValuesstring[]Optional

An array of optional Product Option values

Responses
201

successful operation

application/json
post/menuboard/{menuCategoryId}/product
POST /api/menuboard/{menuCategoryId}/product HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 191

"name='text'&description='text'&price=1&allergyInfo='text'&calories=1&displayOrder=1&availability=1&mediaId=1&code='text'&productOptions=['text']&productValues=['text']"
201

successful operation

{
  "menuId": null,
  "name": null,
  "description": null,
  "code": null,
  "userId": null,
  "modifiedDt": null,
  "folderId": null,
  "permissionsFolderId": null,
  "groupsWithPermissions": null
}

Edit Menu Board Product

put

Edit existing Menu Board Product

Path parameters
menuProductIdintegerRequired

The Menu Board Product ID to Edit

Body
namestringRequired

Menu Board Product name

descriptionstringOptional

Menu Board Product description

pricenumberOptional

Menu Board Product price

allergyInfostringOptional

Menu Board Product allergyInfo

caloriesintegerOptional

Menu Board Product calories

displayOrderintegerRequired

Menu Board Product Display Order, used for sorting

availabilityintegerOptional

Menu Board Product availability

mediaIdintegerOptional

Media ID from CMS Library to associate with this Menu Board Product

codestringOptional

Menu Board Product code

productOptionsstring[]Optional

An array of optional Product Option names

productValuesstring[]Optional

An array of optional Product Option values

Responses
200

successful operation

No content

put/menuboard/{menuProductId}/product
PUT /api/menuboard/{menuProductId}/product HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 191

"name='text'&description='text'&price=1&allergyInfo='text'&calories=1&displayOrder=1&availability=1&mediaId=1&code='text'&productOptions=['text']&productValues=['text']"
200

successful operation

No content

Delete Menu Board Product

delete

Delete existing Menu Board Product

Path parameters
menuProductIdintegerRequired

The Menu Board Product ID to Delete

Responses
204

successful operation

No content

delete/menuboard/{menuProductId}/product
DELETE /api/menuboard/{menuProductId}/product HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?